syntax = "proto3";

package treasurer;

import "google/protobuf/empty.proto";
import "treasurer/payment.model.proto";

option go_package = "./treasurer";

service TreasurerService {
  rpc GetPaymentLinkBankCard(GetPaymentLinkRequest) returns (GetPaymentLinkResponse) {}
  rpc GetPaymentLinkYooMoney(GetPaymentLinkRequest) returns (GetPaymentLinkResponse) {}
  rpc GetPaymentLinkTinkoff(GetPaymentLinkRequest) returns (GetPaymentLinkResponse) {}
  rpc GetPaymentLinkSberbankB2B(GetPaymentLinkRequest) returns (GetPaymentLinkResponse) {}
  rpc GetPaymentLinkSBP(GetPaymentLinkRequest) returns (GetPaymentLinkResponse) {}
  rpc GetPaymentLinkSberPay(GetPaymentLinkRequest) returns (GetPaymentLinkResponse) {}
}

message GetBankCardPaymentLinkRequest {
  MainPaymentSettings MainSettings = 1;
}

message GetPaymentLinkRequest {
  MainPaymentSettings MainSettings = 1;
}

message GetB2BPaymentLinkRequest {
  MainPaymentSettings MainSettings = 1;
	string PaymentPurpose = 2;
	google.protobuf.Empty VatData = 3;
}

message GetPaymentLinkResponse {
  string RedirectURL = 1;
}
